# salt.states.win_snmp

Module for managing SNMP service settings on Windows servers.

salt.states.win_snmp.agent_settings(name, contact, location, services=None)

  Manage the SNMP sysContact, sysLocation, and sysServices settings.

  Parameters:

    - contact (str) -- The SNMP contact.

    - location (str) -- The SNMP location.

    - services (str) -- A list of selected services.

  Example of usage:

      snmp-agent-settings:
          win_snmp.agent_settings:
              - contact: Test Contact
              - location: Test Location
              - services:
                  - Physical
                  - Internet

salt.states.win_snmp.auth_traps_enabled(name, status=True)

  Manage the sending of authentication traps.

  Parameters:

    status (bool) -- The enabled status.

  Example of usage:

      snmp-auth-traps:
          win_snmp.auth_traps_enabled:
              - status: True

salt.states.win_snmp.community_names(name, communities=None)

  Manage the SNMP accepted community names and their permissions.

  Parameters:

    communities (str) -- A dictionary of SNMP communities and permissions.

  Example of usage:

      snmp-community-names:
          win_snmp.community_names:
              - communities:
                  TestCommunity: Read Only
                  OtherCommunity: Read Write